From 07f2dc5fdad5658b1e371d47093887ff7e1c478f Mon Sep 17 00:00:00 2001
From: "jose.lausuch" <jose.lausuch@ericsson.com>
Date: Thu, 4 Feb 2016 10:50:41 +0100
Subject: Remove rm local files (they will be cleaned with the container and
 can be useful anyway)

Originally taken from: https://gerrit.opnfv.org/gerrit/#/c/9239/4

Change-Id: I690ca938bfc5765fed885207f73d9c5b2828676c
Signed-off-by: jose.lausuch <jose.lausuch@ericsson.com>
---
 utils/push-test-logs.sh | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

(limited to 'utils')

diff --git a/utils/push-test-logs.sh b/utils/push-test-logs.sh
index dcfa585d4..331cbd942 100644
--- a/utils/push-test-logs.sh
+++ b/utils/push-test-logs.sh
@@ -31,12 +31,19 @@ mkdir -p $dir_result
 # copy folder to artifact
 if [ -d "$dir_result" ]; then
     if [ "$(ls -A $dir_result)" ]; then
-          echo "copy result files to artifact $project_artifact"
-          gsutil -m cp -r "$dir_result" gs://artifacts.opnfv.org/"$project_artifact"/
-
-          # delete local results
-          # should not be useful as the container is about to die...just in case
-          rm -Rf $dir_result/*
+        set +e
+        gsutil&>/dev/null
+        if [ $? != 0 ]; then
+            echo "Not possible to push results to artifact: gsutil not installed";
+        else
+            gsutil ls gs://artifacts.opnfv.org/"$project_artifact"/ &>/dev/null
+            if [ $? != 0 ]; then
+                echo "Not possible to push results to artifact: wrong credentials.";
+            else
+                echo "copy result files to artifact $project_artifact"
+                gsutil -m cp -r "$dir_result" gs://artifacts.opnfv.org/"$project_artifact"/
+            fi
+        fi
     else
           echo "Result folder is empty"
     fi
-- 
cgit